Skip to main content
GET
List API keys

Headers

Authorization
enum<string>
default:NONE
required

Reserved for PCX-managed applications. External API integrations must always send the literal string NONE — this is the only accepted value.

Available options:
NONE
Example:

"NONE"

X-Api-Key
string
default:NONE
required

Your API key. This is the only supported credential.

Example:

"pcx_abc123_xxxx"

Query Parameters

org_id
string
required

Organisation whose keys to list

limit
integer
default:20
Required range: 1 <= x <= 100
last_evaluated_key
string

Pagination cursor from the previous response's meta.last_evaluated_key.

Response

Paginated list of API keys

status
enum<string>
Available options:
success,
error
Example:

"success"

message
string
data
object[]
meta
object